%define name sqlguipart
%define version 0.5.1
%define release %mkrel 10
%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: 	Graphical database-frontend for KDE
Name: 		%name
Version: 	%version
Release: 	%release
License:	BSD
URL:		http://www.sqlgui.org/
Group: 		Databases
Source: 	%{name}-%{version}.tar.bz2
Source1:	kde-common-admin.tar.bz2
Patch0:		sqlguipart-0.5.1-fix-ldflags.patch
Patch1:		sqlguipart-0.5.1-fix-installation.patch
Buildroot: 	%{_tmppath}/%{name}-buildroot
Requires:	libqt3 kdelibs
BuildRequires: qt3-devel kdelibs-devel
BuildRequires: X11-devel
BuildRequires: arts
BuildRequires: libjpeg-devel libfam-devel libart_lgpl-devel
BuildRequires: libpng-devel

%description
SqlGui is a graphical database-frontend for KDE.
Currently MySQL and PostgrSQL are supported.
SqlGui was developed, because of the need of having a
database-frontend, which was able to display table-contents, 
create and delete databases and tables and also send 
individual sql-queries to the database-server.

%package -n %{libname}
Summary:        Graphical database-frontend for KDE
Group:          Databases
Provides:	%name = %version-%release
Obsoletes:	%name
Provides:	lib%name = %version-%release

%description -n %{libname}
SqlGui is a graphical database-frontend for KDE.
Currently MySQL and PostgrSQL are supported.
SqlGui was developed, because of the need of having a
database-frontend, which was able to display table-contents,
create and delete databases and tables and also send
individual sql-queries to the database-server.

%package -n %{develname}
Summary: Development files from %{name}
Group: Development/Other
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Obsoletes: %{_lib}sqlguipart0-devel

%description -n %{develname}
Development files from %{name}.
You need it to build application which use it.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p0
rm -fr admin
tar xf %{SOURCE1}

%build
make -f admin/Makefile.common
%configure_kde3 --disable-final
%make

%install
rm -fr %buildroot
%makeinstall_std

%find_lang %name

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname -f %name.lang
%defattr(-,root,root)
%doc README INSTALL AUTHORS
%{_kde3_datadir}/services/*
%{_kde3_datadir}/apps/*
%{_kde3_libdir}/libsqlguipart-0.5.1.so

%files -n %develname
%defattr(-,root,root)
%doc README INSTALL AUTHORS
%dir %{_kde3_includedir}/sqlgui
%{_kde3_includedir}/sqlgui/*.h
%{_kde3_libdir}/*.la
%{_kde3_libdir}/libsqlguipart.so


%changelog
* Wed Dec 03 2008 Funda Wang <fundawang@mandriva.org> 0.5.1-10mdv2009.1
+ Revision: 309708
- switch to /opt
- fix ldflags and installation
- new devel package name policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.1-7mdv2008.1
+ Revision: 171120
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.5.1-6mdv2008.1
+ Revision: 140850
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - fix summary-ended-with-dot
    - kill changelog left by repsys


* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 17:48:24 (41152)
- rebuild

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 17:37:31 (41151)
Import sqlguipart

* Sat May 07 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5.1-5mdk
- fix 64bits build

* Thu Jul 22 2004 Michael Scherer <misc@mandrake.org> 0.5.1-4mdk 
- rebuild for new gcc

* Fri May 14 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-3mdk
- Birthday rebuild

